﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=11
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	Dim ItemSelection As String
End Sub

Sub Globals
	Private ListView1 As ListView
	Dim Selected As Int = -1
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("pick_list")
	'ListView1.SingleLineLayout.Label.TextSize = 18
End Sub

Sub Activity_Resume
	SetUpListViewTwoLines
	Load_List	
End Sub

Sub Activity_Pause (UserClosed As Boolean)
End Sub

Sub Load_List
	ListView1.Clear
	For i = 0 To 9
		If i = Selected Then
			ListView1.AddTwoLines("Item " & i, "")
		Else
			ListView1.AddSingleLine("Item " & i)
		End If
	Next
End Sub

Private Sub btnSelect_Click
	Main.Selection = ItemSelection
End Sub

Private Sub btnDone_Click
	Activity.Finish
End Sub

Private Sub ListView1_ItemClick (Position As Int, Value As Object)
	Selected = Position
	ItemSelection = Value
	Load_List
End Sub

Sub SetUpListViewTwoLines
	'Configure Two Lines
	'Sets second line to display in the same size as single line but with different colours
	
	'Set Background colour
	Dim cd As ColorDrawable
	cd.Initialize(Colors.Yellow, 3dip)
	ListView1.TwoLinesLayout.Background = cd
	
	'Set Singleline display
	ListView1.SingleLineLayout.Label.TextSize = 18
	ListView1.SingleLineLayout.ItemHeight = 30dip
	
	'Set Twoline display to highlight last selection
	ListView1.TwoLinesLayout.ItemHeight = 30dip
	ListView1.TwoLinesLayout.SecondLabel.Visible = False
	
	'Configure List two Line display
	ListView1.TwoLinesLayout.Label.TextSize = 18
	ListView1.TwoLinesLayout.Label.TextColor = Colors.Black
	ListView1.TwoLinesLayout.Label.Gravity = Gravity.LEFT
	ListView1.TwoLinesLayout.Label.Gravity = Gravity.CENTER_VERTICAL
End Sub